Subject: [dtn-users] Has anyone run DTN2 under a thread safety checker?

From: Amy Alford <[email-masked]>
Date: Thu, 27 Feb 2014 09:19:40 -0500

Having just been burned by a data race I created in experimental code, I've
been exploring tools to detect these.  I'm playing around with clang and
gcc 4.8's threadsanitizer (tsan).  It needs annotations added to the code
to recognize oasys's locks.  These are essentially the same annotations
that valgrind's drd, helgrind, and tsan use.  I can't seem to get them
quite right.  Any chance someone has done this before?